Package io.dapr.v1

# Interface DaprProtos.SetMetadataRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.SetMetadataRequest`, `DaprProtos.SetMetadataRequest.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.SetMetadataRequestOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getKey()`
`string key = 1;`
`com.google.protobuf.ByteString`
`getKeyBytes()`
`string key = 1;`
`String`
`getValue()`
`string value = 2;`
`com.google.protobuf.ByteString`
`getValueBytes()`
`string value = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getKey

String getKey()
`string key = 1;`

Returns:
  The key.

### getKeyBytes

com.google.protobuf.ByteString getKeyBytes()
`string key = 1;`

Returns:
  The bytes for key.

### getValue

String getValue()
`string value = 2;`

Returns:
  The value.

### getValueBytes

com.google.protobuf.ByteString getValueBytes()
`string value = 2;`

Returns:
  The bytes for value.